CVE-2015-8474

Priority
Description
Open redirect vulnerability in the valid_back_url function in
app/controllers/application_controller.rb in Redmine before 2.6.7, 3.0.x
before 3.0.5, and 3.1.x before 3.1.1 allows remote attackers to redirect
users to arbitrary web sites and conduct phishing attacks via a crafted
back_url parameter, as demonstrated by "@attacker.com," a different
vulnerability than CVE-2014-1985.
Notes
Package
Upstream:released (2.6.7, 3.0.5 and 3.1.1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was needed)
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (3.2.0-1)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (3.2.0-1)
Ubuntu 19.04 (Disco Dingo):not-affected (3.2.0-1)
Ubuntu 19.10 (Eoan Ermine):not-affected (3.2.0-1)
More Information

Updated: 2019-12-05 21:08:03 UTC (commit 0aa5e7c87c8b55d2ec5c7f4ca1179cf75de91961)